If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

[RTL][Search]The prompt message needs more spacing between lines.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Contacts
P3
normal
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Sue, Unassigned)

Tracking

(Blocks: 1 bug)

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8577166 [details]
screenshot.png

[1.Description]:
[RTL][v2.2 & v3.0][Search]The prompt message in Music is not right-aligned, the prompt message in Contacts needs more spacing between lines.
See attachment:screenshot.png

[2.Testing Steps]: 
1. Set system language as Arabic.
2. Search something in Music search bar and contacts search bar.
3. Observe the prompt message of "No music found" and "No contacts found".

[3.Expected Result]: 
3. The prompt message should be right-aligned and there should be a appropriate space between lines.

[4.Actual Result]: 
3. The prompt message in Music is not right-aligned, the prompt message in Contacts needs more spacing between lines.

[5.Reproduction build]: 
Flame 2.2 build: affected
Build ID               20150312002501
Gaia Revision          572d60e0a440ee4af50bc6b6adad8876eadbdb4d
Gaia Date              2015-03-12 01:29:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/244e6ba3c20e
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150312.040315
Firmware Date          Thu Mar 12 04:03:26 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0 build: affected
Build ID               20150312160232
Gaia Revision          eabe35cf054d47087b37c1ca7db8143717fbd7f3
Gaia Date              2015-03-12 18:01:49
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/42afc7ef5ccb
Gecko Version          39.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150312.194521
Firmware Date          Thu Mar 12 19:45:32 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
15857
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Can you file a new bug about the music issue?
One problem per bug please :)
Component: Gaia::Search → Gaia::Contacts
RTL triage: P3
Sue: please file bug as per comment 1 for the music issue. thanks!
Flags: needinfo?(lulu.tian)
Priority: -- → P3
(Reporter)

Updated

3 years ago
See Also: → bug 1143525
(Reporter)

Comment 3

3 years ago
I have filed a new bug for music, see Bug 1143525.
Flags: needinfo?(lulu.tian)
Summary: [RTL][Search]The prompt message is not right-aligned and the needs more spacing between lines. → [RTL][Search]The prompt message needs more spacing between lines.
(Reporter)

Updated

3 years ago
Whiteboard: MGSEI-RTL-3F

Updated

2 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
QA Whiteboard: [rtl-impact][MGSEI-Triage+] → [rtl-impact][MGSEI-Triage+]MGSEI-RTL-3F
Whiteboard: MGSEI-RTL-3F
Created attachment 8647908 [details]
Prompt message_v2.2&v2.5.png

This issue cannot be reproduced on latest FlameKK v2.2&v2.5, AriesKK v2.5 build by the same STR in comment 0.
Actual Result:
Search Search something in Contacts search bar, the prompt message is right-aligned and shown in one line.

See attachment:Prompt message_v2.2&v2.5.png.
Reproducing rate:0/10

Change the status from "New" to "Worksforme", if anyone can repro it, reopen again.

Device:FlameKK v2.2 build
Build ID               20150813032504
Gaia Revision          102f1299e9eafe3760e1deb44d556b5c4f36b5af
Gaia Date              2015-08-06 20:46:56
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/9295034c0ee3
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150813.065103
Firmware Date          Thu Aug 13 06:51:14 EDT 2015、
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:FlameKK v2.5 build
Build ID               20150813150207
Gaia Revision          acfaa3957e65d52a0af2185149628a520edcc7e2
Gaia Date              2015-08-13 12:34:28
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/cdf53a4dee219aabec7462888875bac08b093edc
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150813.184539
Firmware Date          Thu Aug 13 18:45:52 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:AriesKK v2.5 build
Build ID               20150812230643
Gaia Revision          52f3ea58df38e5427f6afeb636bc6ad01d24022f
Gaia Date              2015-08-12 16:40:43
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/7649ffe28b67aa2dad0f67ea01500c0ff91b2bac
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150812.222959
Firmware Date          Wed Aug 12 22:30:07 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.